Viewing Issue Advanced Details Jump to Notes ] psikyosh.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03753 Crash/Freeze Critical (emulator) Always Feb 26, 2010, 21:17 May 24, 2016, 20:54
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To Tourniquet Resolution Fixed OS
Status [?] Resolved   Driver psikyosh.cpp
Version 0.136u3 Fixed in Version 0.174 Build Debug
Summary 03753: daraku: [debug] Assert in debug build
Description Shortly after game starts booting, you get:
assert: src/mame/video/psikyosh.c:350: sy > 0 && sy < 32
Steps To Reproduce
Additional Information
Flags Debug build specific
Regression Version 0.136u2
Affected Sets / Systems daraku
Attached Files
 


-  Notes
User avatar
No.09043
Osso
(Developer)
Oct 20, 2012, 11:22
(gdb) bt
#0 0x00007ffff4d39425 in raise () from /lib/x86_64-linux-gnu/libc.so.6
#1 0x00007ffff4d3cb8b in abort () from /lib/x86_64-linux-gnu/libc.so.6
#2 0x00007ffff4d320ee in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#3 0x00007ffff4d32192 in __assert_fail () from /lib/x86_64-linux-gnu/libc.so.6
#4 0x000000000155923e in cache_bitmap (scanline=0, state=0xcacc750,
    gfx=0xd756480, size=32, tilebank=14, alpha=255, last_bank=0x7fffffff5fc0)
    at src/mame/video/psikyosh.c:338
#5 0x00000000015597ef in draw_bglayerscroll (machine=..., layer=0,
    bitmap=..., cliprect=..., req_pri=7 '\a') at src/mame/video/psikyosh.c:423
#6 0x0000000001559b1a in draw_background (machine=..., bitmap=...,
    cliprect=..., req_pri=7 '\a') at src/mame/video/psikyosh.c:499
#7 0x000000000155cb01 in psikyosh_state::screen_update_psikyosh (
    this=0xcacc750, screen=..., bitmap=..., cliprect=...)
    at src/mame/video/psikyosh.c:1300
#8 0x0000000002be725f in delegate_base<unsigned int, screen_device&, bitmap_rgb32&, rectangle const&, _noparam, _noparam>::operator() (this=0xcad06c8,
    p1=..., p2=..., p3=...) at src/emu/delegate.h:542
#9 0x0000000002be4925 in screen_device::update_partial (this=0xcad0250,
    scanline=223) at src/emu/screen.c:599
#10 0x0000000002c2a4de in video_manager::finish_screen_updates (this=0xcdb3050)
    at src/emu/video.c:647
#11 0x0000000002c2903e in video_manager::frame_update (this=0xcdb3050,
    debug=false) at src/emu/video.c:218
#12 0x0000000002be5312 in screen_device::vblank_begin (this=0xcad0250)
    at src/emu/screen.c:808
#13 0x0000000002be3f22 in screen_device::device_timer (this=0xcad0250,
    timer=..., id=0, param=0, ptr=0x0) at src/emu/screen.c:393
#14 0x0000000002be19f2 in device_t::timer_expired (this=0xcad0250, timer=...,
    id=0, param=0, ptr=0x0) at src/emu/device.h:231
#15 0x0000000002be14c9 in device_scheduler::execute_timers (
    this=0x7fffffffda38) at src/emu/schedule.c:910
#16 0x0000000002be021f in device_scheduler::timeslice (this=0x7fffffffda38)
    at src/emu/schedule.c:429
#17 0x0000000002b7968c in running_machine::run (this=0x7fffffff7fc0,
    firstrun=true) at src/emu/machine.c:393
#18 0x0000000002b76f24 in mame_execute (options=..., osd=...)
    at src/emu/mame.c:190
#19 0x0000000002a9fd6c in cli_frontend::execute (this=0x7fffffffde20, argc=3,
    argv=0x7fffffffe178) at src/emu/clifront.c:254
#20 0x000000000229ae1b in main (argc=3, argv=0x7fffffffe178)
    at src/osd/sdl/sdlmain.c:369
User avatar
No.12707
Tourniquet
(Developer)
May 24, 2016, 20:46
edited on: May 24, 2016, 20:47
Fixed this, and other asserts that have crept in to drawgfx for this driver.
Fixed for 0.174.